package com.yiqi.order.service.impl;

import java.util.List;
import com.yiqi.common.utils.DateUtils;
import com.yiqi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yiqi.order.mapper.OrderClothFlawMapper;
import com.yiqi.order.domain.OrderClothFlaw;
import com.yiqi.order.service.IOrderClothFlawService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 洗衣订单衣服瑕疵Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-06
 */
@Service
public class OrderClothFlawServiceImpl extends ServiceImpl<OrderClothFlawMapper,OrderClothFlaw> implements IOrderClothFlawService {

    /**
     * 查询洗衣订单衣服瑕疵
     *
     * @param id 洗衣订单衣服瑕疵主键
     * @return 洗衣订单衣服瑕疵
     */
    @Override
    public OrderClothFlaw selectOrderClothFlawById(Long id) {
        return baseMapper.selectOrderClothFlawById(id);
    }

    /**
     * 查询洗衣订单衣服瑕疵列表
     *
     * @param orderClothFlaw 洗衣订单衣服瑕疵
     * @return 洗衣订单衣服瑕疵
     */
    @Override
    public List<OrderClothFlaw> selectOrderClothFlawList(OrderClothFlaw orderClothFlaw) {
        return baseMapper.selectOrderClothFlawList(orderClothFlaw);
    }

    /**
     * 新增洗衣订单衣服瑕疵
     *
     * @param orderClothFlaw 洗衣订单衣服瑕疵
     * @return 结果
     */
    @Override
    public int insertOrderClothFlaw(OrderClothFlaw orderClothFlaw) {
        orderClothFlaw.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertOrderClothFlaw(orderClothFlaw);
    }

    /**
     * 修改洗衣订单衣服瑕疵
     *
     * @param orderClothFlaw 洗衣订单衣服瑕疵
     * @return 结果
     */
    @Override
    public int updateOrderClothFlaw(OrderClothFlaw orderClothFlaw) {
        orderClothFlaw.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateOrderClothFlaw(orderClothFlaw);
    }

    /**
     * 批量删除洗衣订单衣服瑕疵
     *
     * @param ids 需要删除的洗衣订单衣服瑕疵主键
     * @return 结果
     */
    @Override
    public int deleteOrderClothFlawByIds(Long[] ids) {
        return baseMapper.deleteOrderClothFlawByIds(ids);
    }

    /**
     * 删除洗衣订单衣服瑕疵信息
     *
     * @param id 洗衣订单衣服瑕疵主键
     * @return 结果
     */
    @Override
    public int deleteOrderClothFlawById(Long id) {
        return baseMapper.deleteOrderClothFlawById(id);
    }



}
